Welcome to Centmin Mod Community
Become a Member

can't upgrade php

Discussion in 'Install & Upgrades or Pre-Install Questions' started by nikolaikapustin, Dec 28, 2018.

  1. nikolaikapustin

    nikolaikapustin Member

    38
    5
    8
    Oct 5, 2016
    Ratings:
    +7
    Local Time:
    10:09 AM
    • CentOS Version: CentOS 7 64bit
    • Centmin Mod Version Installed: 123.09beta01
    • Nginx Version Installed: 1.15.8
    • PHP Version Installed: i.e. 7.2.10
    • MariaDB MySQL Version Installed: i.e. 10.3.11
    • When was last time updated Centmin Mod code base ? : today
    • Persistent Config: No

    Hi, i can't upgrade php to the last 7.3 version on two vps with 512 mb ram (they used to be 1gb ram but i decided to downgrade the plan since).

    I'm getting this errors during php compiling:
    Code:
     /svr-setup/php-7.2.9/sapi/phpdbg/phpdbg_watch.c -o sapi/phpdbg/phpdbg_watch.lo
    {standard input}: Assembler messages:
    {standard input}:396092: Warning: end of file not at end of a line; newline inserted
    {standard input}:397604: Error: unknown pseudo-op: `.lbe'
    {standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
    and then:
    Code:
    gcc: internal compiler error: Killed (program cc1)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <http://bugzilla.redhat.com/bugzilla> for instructions.
    make[1]: *** [Zend/zend_execute.lo] Error 1
    make[1]: *** Waiting for unfinished jobs....
    make[1]: Leaving directory `/svr-setup/php-7.2.9/fpm-build'
    make: *** [prof-use] Error 2
    
    real    5m3.947s
    user    7m18.936s
    sys     1m4.924s
    
    Thu Dec 27 21:26:56 UTC 2018
    Error: 2, PHP make failed (123.09beta01.b083)
    
                  total        used        free      shared  buff/cache   available
    Mem:            512          44         433          36          33         416
    Swap:           256         159          96
    
    

     
  2. eva2000

    eva2000 Administrator Staff Member

    37,710
    8,254
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +12,710
    Local Time:
    7:09 PM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    the 2nd error is GCC compiler running out of memory as CentOS 7 needs minimum of 1GB of memory at least.

    FYI, official site and download/install page at centminmod.com/install.html has list of minimum AND recommended requirements
     
..